# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{ruby-rpm}
  s.version = "1.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 1.3.6") if s.respond_to? :required_rubygems_version=
  s.authors = ["Kenta MURATA", "David Lutterkort", "Duncan Mac-Vicar P."]
  s.date = %q{2010-10-03}
  s.description = %q{Provides bindings for accessing RPM packages and databases from Ruby. It
includes the low-level C API to talk to rpm as well as Ruby classes to
model the various objects that RPM deals with (such as packages,
dependencies, and files).
}
  s.email = %q{ruby-rpm-devel@rubyforge.org}
  s.extensions = ["ext/rpm/extconf.rb"]
  s.files = ["lib/rpm/version.rb", "lib/rpm.rb", "ext/rpm/extconf.rb", "ext/rpm/rpm40_compat.h", "ext/rpm/private.h", "ext/rpm/ruby-rpm.h", "ext/rpm/spec.c", "ext/rpm/version.c", "ext/rpm/rpm.c", "ext/rpm/source.c", "ext/rpm/package.c", "ext/rpm/rpm40_compat.c", "ext/rpm/file.c", "ext/rpm/db.c", "ext/rpm/dependency.c", "CHANGELOG.rdoc", "README.rdoc"]
  s.homepage = %q{http://gitorious.org/ruby-rpm}
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.1")
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Ruby bindings for RPM =Linux package manager)}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake-compiler>, [">= 0"])
      s.add_development_dependency(%q<rdoc>, [">= 0"])
    else
      s.add_dependency(%q<rake-compiler>, [">= 0"])
      s.add_dependency(%q<rdoc>, [">= 0"])
    end
  else
    s.add_dependency(%q<rake-compiler>, [">= 0"])
    s.add_dependency(%q<rdoc>, [">= 0"])
  end
end
